SDL_GetSurfaceBlendMode(3)

NAME
SDL_GetSurfaceBlendMode - Get the blend mode used for blit operations.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetSurfaceBlendMode(SDL_Surface *surface, SDL_BlendMode *blendMode);

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to query

blendMode
    a pointer filled in with the current SDL_BlendMode

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetSurfaceBlendMode(3)